/* @override 
	https://www.supercars.ie/wp-content/themes/bb-theme-child/style.css */

/*
	Theme Name: Beaver Builder Child Theme
	Theme URI: http://www.wpbeaverbuilder.com
	Version: 1.0
	Description: An example child theme that can be used as a starting point for custom development.
	Author: The Beaver Builder Team
	Author URI: http://www.fastlinemedia.com
	template: bb-theme
*/

.supercars-fp-recent {
	border: 1px solid #e3e3e3;
}

.supercars-fp-recent h3 {
	margin: 10px 10px 0;
}

.supercars-fp-recent span {
	margin: 0 10px 10px;
	padding-bottom: 10px;
}

.supercars-frontpage-logo {
	text-align: center;
	border-width: 1px;
	border-color: white;
	box-shadow: 0 0 3px rgba(15, 15, 15, 0.7);
	background-color: white;
	margin: 0;
	padding: 15px;
}

div#wpv-view-layout-74.js-wpv-view-layout.js-wpv-layout-responsive.js-wpv-view-layout-74 div.row div.col-sm-3 {
	margin: 0;
	padding: 10px;
}


.snazzy-search-frontpage .form-group .form-group input,
.snazzy-search-frontpage .form-group select {
	width: 20%;
	float: left;
	margin-right: 5px;
	margin-left: 5px;
}

/* Add your custom styles here... */ 

/* ANIMATION FRONTPAGE PORTFOLIO */

	.supercars-frontpage-logo a img {
		overflow: hidden!important;
	}
	
	.supercars-frontpage-logo a div {
		position: relative;
		-webkit-transition: .3s ease-in-out;
/*		transition: .3s ease-in-out;
		transform: scale(1) rotate(0deg);*/
		
	}
	
	.supercars-frontpage-logo a div:hover {
		-webkit-transition: .3s ease-in-out;
/*		transition: .3s ease-in-out;
		transform: scale(1.2) rotate(5deg);*/
	}	
	.supercars-frontpage-logo a div::before {
		position: absolute;
		top: 0;
		left: -75%;
		z-index: 2;
		display: block;
		content: '';
		width: 50%;
		height: 100%;
		background: -webkit-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,.3) 100%);
		background: linear-gradient(to right, rgba(255,255,255,0) 0%, rgba(255,255,255,.3) 100%);
		-webkit-transform: skewX(-25deg);
		transform: skewX(-25deg);
	}
	
	.supercars-frontpage-logo a div:hover::before {
		-webkit-animation: shine .75s;
		animation: shine .75s;
		
	}
	@-webkit-keyframes shine {
		100% {
			left: 125%;
		}
	}
	@keyframes shine {
		100% {
			left: 125%;
		}
	}
	
	.supercars-frontpage-logo a div {
		margin: 0;
		padding: 0;
	}
	
	.supercars-frontpage-logo a div img {
		margin: 0!important;
		padding: 0!important;
		-webkit-filter: grayscale(0%); /* Safari 6.0 - 9.0 */
/*		filter: grayscale(50%);*/
		-webkit-transform: scale(1.1);
		transform: scale(1);
		-webkit-transition: .3s ease-in-out;
		transition: .3s ease-in-out;
		opacity: 1;
	
	}
	
	.supercars-frontpage-logo a div {
		overflow: hidden!important;
		
	}
	
	.supercars-frontpage-logo a img:hover {
		-webkit-filter: grayscale(0%); /* Safari 6.0 - 9.0 */
		filter: grayscale(0%);
		-webkit-transform: scale(1.0);
		transform: scale(1.1);
		-webkit-transition: .3s ease-in-out;
		transition: .3s ease-in-out;
		opacity: 1;
		
	}



/* GENERAL STYLES */
	div#snazzy_about p {
		font-size: 18px;
		line-height: 26px;
		text-align: justify;
		margin-bottom: 20px;
	}
	
	h1.fl-heading, h2.fl-heading, h3.fl-heading {
		font-weight: 800;
	}
	
/* LOGO SHOWCASE */

	.lshowcase-logos {
		border-top: 1px solid silver;
		padding-top: 20px;
		padding-bottom: 20px;
		border-bottom: 1px solid silver;
	}
	
/* ABOUT US */

	.snazzy-social-icons-frontpage > div {
		padding: 5px 0!important;
		display: block;
		text-align: center;
		margin: 0;
	}
	
	.snazzy-social-icons-frontpage .fa {
		margin: 0 15px;
		padding: 0;
		font-size: 50px!important;
		height: 20px;
		width: 20px;
		color: gray;
	}
	
	#snazzy_about img.fl-photo-img.wp-image-75.size-medium {
		border: 5px solid #fff;
		box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.4);
	}
	
	.snazzy-social-icons-frontpage a {
		color: black;
	}
	
	#snazzy_about h3 {
		padding-bottom: 0px!important;
	}
	
	#snazzy_about h5.fl-heading span.fl-heading-text {
		padding-top: 10px!important;
		padding-bottom: 10px!important;
		display: block;
		border-top: 1px solid silver;
		border-bottom: 1px solid silver;
		font-size: 16px;
		color: gray;
	}
	
/* PORTFOLIO */

	.snazzy-frontpage-portfolio {
		background-color: white;
		padding: 0 0 10px;
		margin-top: 20px;
		margin-bottom: 20px;
		text-align: center;
		box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.4);
	}
	
	.snazzy-frontpage-portfolio img {
		margin: 0;
		padding: 0;
		width: 100%;
	}
	
	
/* CONTACT US */
	
	.snazzy-frontpage-portfolio h3 {
		margin: 10px 0 20px;
		font-weight: bold;
	}
	
	div#wpcf7-f4-p164-o1.wpcf7 form.wpcf7-form.sent div.wpcf7-response-output.wpcf7-display-none.wpcf7-mail-sent-ok {
		background-color: #00c40c;
		color: white;
		font: bold 26px "Din 2014";
		text-align: center;
		margin: 0;
		padding: 5px;

	}
	
	div#snazzy_contact .fl-rich-text p, form.wpcf7-form p label {
		color: black;
		font-size: 16px;
		font-weight: normal;
		font-style: normal;
	}
	
	form.wpcf7-form p input.wpcf7-form-control.wpcf7-submit {
		width: 100%;
		font-weight: bold;
		font-size: 20px;
		margin-top: 20px;
		border-radius: 0px;
	}
	
	.snazzy-select-subject {
		width: 100%;
		padding: 10px;
		height: 20px;
	}
/* MOBILE OVERRIDES */	
@media only screen and (max-width: 768px) {
	
	.snazzy-search-frontpage .form-group .form-group input,
	.snazzy-search-frontpage .form-group select {
		width: 100%;
		float: left;
	}
	
	div#snazzy_about p {
		font-size: 14px;
		line-height: 22px;
		text-align: justify;
	}
    .snazzy-top-logo a img {
    	width: 150px!important;
    	height: 39px!important;
		margin-left: 20px;
	}
    
    .fl-photo-content.fl-photo-img-png img.fl-photo-img.wp-image-73.size-full {
		width: 200px!important;
		height: 200px!important;
	}
	
	h3.fl-heading span.fl-heading-text {
		font-size: 30px;
		letter-spacing: -1px;
	}
	
	#snazzy_about h2,
	#snazzy_portfolio h2,
	#snazzy_contact h2 {
		font-size: 40px;
		letter-spacing: -1px;
	}
	
	
	.snazzy-frontpage-portfolio {
		margin-right: auto;
		margin-left: auto;
		margin-bottom: 50px;
	}
}